:root
  --doctor-info-icon-size 22px

.doctor-info
  &__header
    position relative
    padding-left 39px
    margin-bottom 10px
    +before()
      position absolute
      inset 0
      display block
      width var(--doctor-info-icon-size)
      height var(--doctor-info-icon-size)
      mask-image var(--before-mask-image)
      mask-repeat no-repeat
      mask-position center
      mask-size contain
      background-color var(--color-mark)
  for icon in experience education qualification
    &--{icon}
      --before-mask-image maskImage(icon, common)
  &__item 
    & + &
      margin-top 20px
    &--hidden
      display none
  &__body
    margin-left 11px
    padding-left 26px
    border-left 1px solid var(--color-mark)
  &__date
    color var(--color-mark-light)
  &__button
    margin-top 10px
